﻿$packageArgs = @{
  PackageName         = "vault"
  Url                 = "https://releases.hashicorp.com/vault/$($version)/vault_$($version)_windows_386.zip"
  UnzipLocation       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
  Url64               = "https://releases.hashicorp.com/vault/$($version)/vault_$($version)_windows_amd64.zip"
  Checksum            = '9773f41525592cd963c754ab560e18dbcdb84e036d3d0adc1dc0518e0e3819ed'
  ChecksumType        = 'sha256'
  Checksum64          = 'f1b8e8491fd043f0463daf8be13e29065da6a50a04ca405b2eb1770760172f1a'
  version             = '1.8.0'  
}

Install-ChocolateyZipPackage @packageArgs